> ## Documentation Index
> Fetch the complete documentation index at: https://docs.imprint.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List transaction intents

> Retrieves a list of transaction intents.



## OpenAPI

````yaml /api-reference/openapi.yaml get /v2/transaction_intents
openapi: 3.1.0
info:
  title: Public Imprint API
  version: '2.0'
servers:
  - url: https://dev.sbx.imprint.co
    description: Imprint public api sandbox
security:
  - basicAuth: []
  - bearerAuth: []
paths:
  /v2/transaction_intents:
    get:
      tags:
        - Transaction Intents
      summary: List transaction intents
      description: Retrieves a list of transaction intents.
      operationId: searchTransactionIntents
      parameters:
        - name: type
          in: query
          description: The type of transaction intent to filter by.
          schema:
            type: string
            enum:
              - CONFIRMED
              - CANCELED
            example: CONFIRMED
        - $ref: '#/components/parameters/limitParam'
          name: limit
        - $ref: '#/components/parameters/startingAfterParam'
          name: starting_after
      responses:
        '200':
          description: List of transaction intents
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/TransactionIntent'
                  has_more:
                    type: boolean
                  total:
                    type: integer
components:
  parameters:
    limitParam:
      name: limit
      in: query
      description: Limits the number of returned results
      schema:
        type: integer
        minimum: 1
        default: 10
        format: int32
    startingAfterParam:
      name: starting_after
      in: query
      description: >-
        A cursor for use in pagination. An id that defines your place in the
        list.
      schema:
        type: string
  schemas:
    TransactionIntent:
      type: object
      required:
        - id
        - customer_id
        - amount
        - currency
        - status
        - created_at
      properties:
        id:
          type: string
          example: 5B30532B-5B5B-4826-8DE2-429C57B705FD
        customer_id:
          type: string
          example: 9B5E1EE0-2E1C-46E7-81B9-3C3917204BE4
        payment_method_id:
          type: string
          description: >-
            The `payment_method_id` that this `transaction_intent` was executed
            with.
          example: DCBFC736-2286-42DD-897D-160DCA80AED2
        amount:
          type: integer
          description: Currency amount
          example: 10000
        currency:
          $ref: '#/components/schemas/TransactionCurrency'
        status:
          $ref: '#/components/schemas/TransactionIntentStatus'
        network_transaction_id:
          type: string
          description: >-
            The network's unique identifier for the transaction. Examples
            include Visa Transaction ID, Mastercard Trace ID, and American
            Express Network Reference ID
        partner_transaction_id:
          type: string
          description: The partner's unique transaction id
        created_at:
          type: string
          description: the RFC-3339 timestamp when the transaction intent was created
          example: '2025-02-13T19:08:07.000Z'
        updated_at:
          type: string
          description: the RFC-3339 timestamp when the transaction intent was last updated
          example: '2025-02-13T19:08:07.000Z'
        metadata:
          type: object
          description: Additional transaction intent data
          additionalProperties: true
          example:
            platform_version: 2.1.0
    TransactionCurrency:
      type: string
      description: >-
        The 3-character currency code of the amount in ISO 4217 format (e.g.,
        "USD")
      example: USD
    TransactionIntentStatus:
      type: string
      enum:
        - CONFIRMED
        - CANCELED
      example: CONFIRMED
  securitySchemes:
    bearerAuth:
      bearerFormat: auth-scheme
      description: >-
        Bearer HTTP authentication. Allowed headers-- Authorization: Bearer
        <api_key>
      scheme: bearer
      type: http

````